Subject: Re: gitweb on kernel.org broken

From: Greg KH <[email-masked]>
Date: Mon, 16 Jan 2006 12:28:53 -0800

On Mon, Jan 16, 2006 at 12:02:05PM -0800, Junio C Hamano wrote:
> Kay Sievers <[email-masked]> writes:
> 
> >> Junio, seems your "textual symref HEAD" change is causing this?
> 
> Yeah, I assumed git_read_head() is called only on a repository
> that was verified to be valid, and the subroutine did not check
> the case where HEAD does not verify.  My bad.  The attached
> patch should solve this.
> 
> The error log says hotplug-ng.git is triggering it.  I wonder what
> is so special about that repository.  I hope it is transient
> during mirroring that mirrored HEAD before objects, not a
> corrupt repository at the mirroring source.
> 
> 	... goes to kernel.org mirroring source machine ...
> 
> Ugh.  It is _not_ a valid git repository.  HEAD should be either a symlink
> or a symref pointing somewhere under refs/heads/, but in that
> directory, it instead is a regular file that contains an object
> name.  There is nothing under refs/ either:
> 
>         $ ls -l /pub/scm/linux/hotplug/hotplug-ng.git/HEAD
>         -rw-r--r--  2 gregkh users 41 May  6  2005 /pub/s...ug-ng.git/HEAD
> 	$ cat /pub/scm/linux/hotplug/hotplug-ng.git/HEAD
>         b26bec9f620a969fe5238e8666ab698f197df488
> 	$ ls -l /pub/scm/linux/hotplug/hotplug-ng.git/refs
> 	total 0
> 	$ exit
> 
> Greg, could you let me know what is going on with this
> repository, please?
> 
> First of all, I am wondering if this repository is still used
> (maintained); a regular file HEAD that contains an object name
> would have stopped working on Aug 27 2005 with this commit at the
> latest, maybe even before that:

That's a very old git tree, and the development tree is pretty much dead
too.  I'll just go delete the thing.

Sorry about that.

greg k-h